import { r as registerInstance, h, H as Host } from './index-b6f10a81.js';

const dvnFieldDisplayNumberCss = ".sc-dvn-field-display-number-h{display:block;height:20px}";

const DvnFieldDisplayNumber = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Host, null, this.value === undefined ? '-' : this.value));
  }
};
DvnFieldDisplayNumber.style = dvnFieldDisplayNumberCss;

export { DvnFieldDisplayNumber as dvn_field_display_number };
